Bug 40345 - Monitoring of connectors
Monitoring of connectors
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: S4 Connector
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0-4-errata
Assigned To: Arvid Requate
Stefan Gohmann
:
Depends on: 37006
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-28 16:15 CET by Stefan Gohmann
Modified: 2016-01-12 12:30 CET (History)
6 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback, Roadmap discussion (moved)
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2015-12-28 16:15:48 CET
Backport for UCS 4.0-4. Please provide the packages for UCS 4.0-4-errata as well.


+++ This bug was initially created as a clone of Bug #37006 +++

Currently, S4 connector and AD connector aren't monitored by Nagios.  Since problems with these connectors, especially rejected objects, could cause unexpected and difficult to identify behaviour they should be monitored and reported to the Administrator.
Comment 1 Arvid Requate univentionstaff 2016-01-04 18:45:41 CET
Package backported. Module detected S4-Connector status correctly.

Advisories:
* univention-nagios-s4-connector.yaml
* univention-s4-connector.yaml
Comment 2 Stefan Gohmann univentionstaff 2016-01-06 09:07:40 CET
OK: It works as expected

OK: YAML

Fail: univention-nagios-s4-connector is announced as unmaintained:

root@master401:~# apt-cache policy univention-nagios-s4-connector
univention-nagios-s4-connector:
  Installiert:           0.9.0-1.4.201601041830
  Installationskandidat: 0.9.0-1.4.201601041830
  Versionstabelle:
 *** 0.9.0-1.4.201601041830 0
        500 http://updates-test.software-univention.de/4.0/unmaintained/component/ 4.0-4-errata-test/amd64/ Packages
        100 /var/lib/dpkg/status
root@master401:~#
Comment 3 Arvid Requate univentionstaff 2016-01-06 17:07:06 CET
Ok, these were the required steps:

====================================================================
## Create a trigger list for UCS 4.0-4 (didn't exist in ucs_4.0-x):
svn cp triggers/ucs_4.1-0.txt triggers/ucs_4.0-0-ucs4.0-4.txt
svn ci triggers

## Update the cd-contents and .maintained lists:
RELEASE=4.0-4   ## Note the *-4 here!
SCOPE="errata4.0-4"
archs=(i386 amd64)
BUILDDIR=/var/univention/buildsystem2
APTDIR="${BUILDDIR}/apt"
CDCDIR="${BUILDDIR}/cd-contents"

for ARCH in "${archs[@]}"; do
        repo-apt-dependencies \
        --release ${RELEASE} --arch ${ARCH} \
        --dist "${APTDIR}/ucs_${RELEASE/-*/-0}${SCOPE:+-$SCOPE}" \
        --contents "${CDCDIR}//ucs_${RELEASE}_${ARCH}_dvd.txt" \
        --input ${HOME}/triggers/ucs_${RELEASE/-*/-0}-ucs${RELEASE}.txt \
        --binary "${CDCDIR}/ucs_${RELEASE}_${ARCH}.bin" \
        --source "${CDCDIR}//ucs_${RELEASE}_${ARCH}.src" \
        --closure "${CDCDIR}/ucs_${RELEASE}_${ARCH}.maintained"
done

## Test-Announce:
announce_ucs_scope.py -r 4.0-4 -s errata4.0-4 -t --skip-tag -n ## etc ...
##                           ^  Note the 4.0-4 here!
====================================================================
Comment 4 Stefan Gohmann univentionstaff 2016-01-11 07:47:50 CET
OK, it is now announced as maintained.